Skip to main content
POST
Create Prior Auth Route
Create a prior authorization from patient, provider, insurance, prescription, and clinical information. Follow Create a prior authorization for a complete example and the workflow guide for delegated and non-delegated submission models.

Response handling

Store the returned data.id. A successful response means the PA was accepted, not that it was submitted to a payer or PBM. Track the same ID through GET /prior-authorization/{id} or PA webhook events. See statuses, outcomes, and errors for exact lifecycle states, request errors, and terminal exceptions. In a non-delegated workflow, awaiting_review requires your authorized reviewer to complete PA review.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Represents a request for creating a prior authorization for a medication. This includes detailed information about the patient, their diagnosis, prescribed medication, evidence supporting the need for treatment, insurance details, and responses to relevant questionnaires.

patient
Patient · object
required

Demographic information for the patient

provider
Provider · object
required

Details of the healthcare provider who created the prescription.

diagnoses
Diagnosis · object[]

Clinical diagnoses for the patient in ICD-10 format. i.e. 'E66.9'

evidence
EvidenceItem · object[]

A collection of evidence items supporting the authorization request. Any supporting evidence that doesn't belong in the other predefined fields can be added here.

insurance
InsuranceDocument · object[]

Insurance information for the patient. We will extract the required information from the insurance card images you provide. Please provide both the front and the back of the card. This is optional if you provide insurance_content, but highly recommended to ensure best results.

insurance_content
Insurance Content · object

Insurance information for the patient. Values provided here will be used in combination with those extracted from any insurance cards provided. We recommend providing this information when available to ensure best results. If you provide both insurance and insurance_content, the values provided here will be used and the values extracted from insurance will be used as a fallback.

prescription
CodedPrescription · object

Represents a prescription issued by a healthcare provider. This is an alternative to the Prescription model that is more closely aligned with NCPDP standards and helps reduce any confusion on the payer-side. Prefer this model over Prescription when NDCs are available.

pharmacy
Pharmacy · object

Information about the pharmacy where the prescription will be filled.

questionnaires
Questionnaire · object[]

List of questionnaires. This is the best place to send structured Q&A format data, such as intake forms, etc.

visit_notes
VisitNote · object[]

List of visit notes.

ndp_submission
PriorAuthRequestNDPSubmission · object

Configuration for processing the prescription associated with this PA request.

This field should only be provided when a prescription has been sent to Develop Health's non-dispensing pharmacy. If both preferred pharmacy fields are omitted, no final prescription transfer is attempted. The response returns prescription_transfer.status as "error" and prescription_transfer.error_code as "pharmacy_does_not_exist".

resubmission_info
PriorAuthRequestResubmissionInfo · object

Information provided when resubmitting a prior authorization request.

appeal_details
Appeal Details · object

Details for submitting an appeal of a previously denied prior authorization. When provided, the request will be processed as an appeal.

mock_result
PriorAuthMockResultApproved · object

Represents a mock result for a prior authorization request.

priority
enum<integer>
default:2

Specifies the priority of the prior authorization request. This is used to determine the order in which requests are processed. Lower values indicate higher priority.

Available options:
0,
1,
2,
3
trigger_benefit_verification
Trigger Benefit Verification · object

If provided and enabled, triggers a benefit verification to check drug coverage before the PA proceeds.

provider_outreach
Provider Outreach · object

Configuration for requesting clinical documents from the provider before answering begins.

Response

Successful creation of a prior authorization

Models the response received upon creating a prior authorization request.

status
default:success
Available options:
success
error
Error · object

Error payload of the response, containing details of the error that occurred during the creation of the prior authorization request.

data
Data · object

Data payload of the response, containing details of the created prior authorization request, or None if the request was unsuccessful.